cat_signature.hpp File Reference
Private

class used to write and read from archive the type and status of each entry in a catalogue More...

`#include "../my_config.h"`
`#include "generic_file.hpp"`
`#include "archive_version.hpp"`
`#include "cat_status.hpp"`

Go to the source code of this file.

## Classes

class | libdar::cat_signature
| class cat_signature combines the cat_entree::signature() of the object with its saved_status and read and store this combinason More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

class used to write and read from archive the type and status of each entry in a catalogue

Definition in file cat_signature.hpp.